#ifndef _PLAYER_HPP_
#define _PLAYER_HPP_

#include <list>
#include "Sprite.hpp"
#include "Shot.hpp"

class CPlayer
{
public: 
	CPlayer();
	
	void Init();
	void Quit();
	void Render();
	void Update();
	void Reset();

	list<CShot> *GetShotList() { return &m_ShotList; }

private:
	void ProcessMoving();
	void ProcessShooting();
	void CheckPosition();

	CSprite *m_pSpritePlayer;
	CSprite *m_pSpriteShot;
	float m_fXPos;
	float m_fYPos;
	float m_fAnimPhase;
	bool m_bShotLock;
	list<CShot> m_ShotList;
};

#endif